org.apache.sling.hc.util

## Class SimpleConstraintChecker

- java.lang.Object
- - org.apache.sling.hc.util.SimpleConstraintChecker

Deprecated.

    @Deprecated
    public class SimpleConstraintChecker
    extends Object

Simple check of numeric values against expressions like < N, > N, between two values etc. See the SimpleConstraintCheckerTest for examples.

### Field Summary

Fields
`static String` `CONTAINS` Deprecated.

### Constructor Summary

Constructors
Constructor and Description
`SimpleConstraintChecker()` Deprecated.

### Method Summary

All Methods Instance Methods Concrete Methods Deprecated Methods
`void` `check(Object inputValue, String constraint, ResultLog resultLog)` Deprecated. Check value against expression and report to result

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### CONTAINS

    public static final String CONTAINS

Deprecated.

See Also:
  Constant Field Values

### Constructor Detail

#### SimpleConstraintChecker

    public SimpleConstraintChecker()

Deprecated.

### Method Detail

#### check

    public void check(Object inputValue,
                      String constraint,
                      ResultLog resultLog)

Deprecated.
Check value against expression and report to result